ssm项目中,在网上下载框架模板,用的spring3.2.16版本,我将spring所有包替换成4.2版本启动不了了? 80C

启动之后,也不显示报错,就是启动不了,环境是jdk1.7,替换回原来的spring3.2又可以启动了。
图片说明
图片说明图片说明图片说明

5个回答

框架的下载地址是什么?部署一点错没有吗?能访问应用首页吗?

caozhy
贵阳老马马善福专业维修游泳池堵漏防水工程 回复Rorpen: 第一次听说还有个叫做geihub的网站。
3 个月之前 回复
Rorpen
Rorpen geihub上面下载的,部署没有问题,我用spring3.2写的东西都可以用,只是换了4.0之后就用不了了
3 个月之前 回复
Rorpen
Rorpen 跟我的问题不太一样啊
3 个月之前 回复

spring4.2包应该没有拉下来,看下本地仓库目录下是否有4.2相关包。
setting.xml 配置的远程仓库地址看看是不是不能拉包或者拉包很慢,Maven仓库可以参考下: https://www.runoob.com/maven/maven-repositories.html

Rorpen
Rorpen 本地仓库有包的,这个项目也没有用maven
3 个月之前 回复

可能是包的依赖问题,估计依赖没有注入。

就是启动不了。。又不报错。。是啥意思。。控制台显示啥

Rorpen
Rorpen 控制台啥都没有,就上面我截图的,控制台不报错,但是汤姆猫启动不了
3 个月之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问